moire(6)

NAME
moire - draw circular interference patterns

SYNOPSIS
moire [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay seconds] [-random boolean] [-ncolors int] [-offset int]

DESCRIPTION
The moire program draws cool circular interference patterns.

OPTIONS
moire accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay seconds
    How long to wait before starting over. Default 5 seconds.

-random boolean
    Whether to ignore the foreground/background colors, and pick them randomly instead.

-offset integer
    The maximum random radius increment to use.

-ncolors integer
    How many colors should be allocated in the color ramp (note that this value interacts with offset.)

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1997 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 27-Apr-97, based on code by Michael D. Bayne <mdb@go2net.com>.